Get a collection of Git credentials
GET /api
Also reachable at /api.
Path Parameters
spaceIdstring (required)
The ID of the space containing the resource(s).
Query Parameters
namestring
Filters credentials matching any part of thenamefragment.skipinteger
Number of items to skip. Defaults to zero. Minimum0.takeinteger
Number of items to take. Defaults to 30. Minimum0.
Response
200 — The requested Git Credentials
Idstring
Gets or sets a unique identifier for this resource.ItemTypestringItemsarray of objectDescriptionstringDetailsobjectIdstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NamestringRepositoryRestrictionsobjectSpaceIdstring
ItemsPerPageintegerLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.LastPageNumberintegerLinksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NumberOfPagesintegerTotalResultsinteger
Example Response
{
"Id": "string",
"ItemType": "string",
"Items": [
{
"Description": "string",
"Details": {
"Type": "UsernamePassword"
},
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string",
"RepositoryRestrictions": {
"AllowedRepositories": [
"string"
],
"Enabled": true
},
"SpaceId": "Spaces-1"
}
],
"ItemsPerPage": 0,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"LastPageNumber": 0,
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"NumberOfPages": 0,
"TotalResults": 0
}Create a new Git credential
POST /api
Also reachable at /api.
Path Parameters
spaceIdstring (required)
The ID of the space containing the resource(s).
Request Body
DescriptionstringDetailsobject (required)Passwordsensitive value (required)Usernamestring (required)
Minimum length 1.
Namestring (required)
Minimum length 1.RepositoryRestrictionsobjectAllowedRepositoriesarray of stringEnabledboolean
SpaceIdstring (required)
The ID of the space containing the resource(s).
Response
201 — Created
IdstringLinksobject
Example Request
{
"Description": "string",
"Details": {
"Password": {
"HasValue": true,
"Hint": "string",
"NewValue": "string"
},
"Username": "string"
},
"Name": "string",
"RepositoryRestrictions": {
"AllowedRepositories": [
"string"
],
"Enabled": true
},
"SpaceId": "Spaces-1"
}Example Response
{
"Id": "string",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
}
}Get a collection of Git credentials
GET /api
Also reachable at /api.
Path Parameters
spaceIdstring (required)
The ID of the space containing the resource(s).
Query Parameters
namestring
Filters credentials matching any part of thenamefragment.skipinteger
Number of items to skip. Defaults to zero. Minimum0.takeinteger
Number of items to take. Defaults to 30. Minimum0.
Response
200 — The requested Git Credentials
GitCredentialsobjectIdstring
Gets or sets a unique identifier for this resource.ItemTypestringItemsarray of objectItemsPerPageintegerLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.LastPageNumberintegerLinksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NumberOfPagesintegerTotalResultsinteger
Example Response
{
"GitCredentials": {
"Id": "string",
"ItemType": "string",
"Items": [
{
"Description": "string",
"Details": {},
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {},
"Name": "string",
"RepositoryRestrictions": {},
"SpaceId": "Spaces-1"
}
],
"ItemsPerPage": 0,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"LastPageNumber": 0,
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"NumberOfPages": 0,
"TotalResults": 0
}
}Create a new Git credential
POST /api
Also reachable at /api.
Path Parameters
spaceIdstring (required)
The ID of the space containing the resource(s).
Request Body
DescriptionstringDetailsobject (required)Passwordsensitive value (required)Usernamestring (required)
Minimum length 1.
Namestring (required)
Minimum length 1.RepositoryRestrictionsobjectAllowedRepositoriesarray of stringEnabledboolean
SpaceIdstring (required)
The ID of the space containing the resource(s).
Response
201 — Created
IdstringLinksobject
Example Request
{
"Description": "string",
"Details": {
"Password": {
"HasValue": true,
"Hint": "string",
"NewValue": "string"
},
"Username": "string"
},
"Name": "string",
"RepositoryRestrictions": {
"AllowedRepositories": [
"string"
],
"Enabled": true
},
"SpaceId": "Spaces-1"
}Example Response
{
"Id": "string",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
}
}Get a collection of Git credentials
GET /api
Also reachable at /api.
Path Parameters
spaceIdstring (required)
The ID of the space containing the resource(s).
Query Parameters
namestring
Filters credentials matching any part of thenamefragment.skipinteger
Number of items to skip. Defaults to zero. Minimum0.takeinteger
Number of items to take. Defaults to 30. Minimum0.
Response
200 — Success
ItemTypestringItemsarray of objectDescriptionstringDetailsobjectIdstringLastModifiedBystringLastModifiedOnstring
Formatdate-time.Namestring
Minimum length 1.RepositoryRestrictionsobjectSpaceIdstring
ItemsPerPageintegerLastPageNumberintegerNumberOfPagesintegerTotalResultsinteger
Example Response
{
"ItemType": "string",
"Items": [
{
"Description": "string",
"Details": {
"Type": "UsernamePassword"
},
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Name": "string",
"RepositoryRestrictions": {
"AllowedRepositories": [
"string"
],
"Enabled": true
},
"SpaceId": "Spaces-1"
}
],
"ItemsPerPage": 0,
"LastPageNumber": 0,
"NumberOfPages": 0,
"TotalResults": 0
}Create a new Git credential
POST /api
Also reachable at /api.
Path Parameters
spaceIdstring (required)
The ID of the space containing the resource(s).
Request Body
DescriptionstringDetailsobject (required)Typestring (required)
Minimum length 1.
Namestring (required)
Minimum length 1.RepositoryRestrictionsobjectAllowedRepositoriesarray of stringEnabledboolean
SpaceIdstring (required)
The ID of the space containing the resource(s).
Response
201 — Created
Idstring
Example Request
{
"Description": "string",
"Details": {
"Type": "string"
},
"Name": "string",
"RepositoryRestrictions": {
"AllowedRepositories": [
"string"
],
"Enabled": true
},
"SpaceId": "Spaces-1"
}Example Response
{
"Id": "string"
}Get a specific Git credential
GET /api
Also reachable at /api.
Path Parameters
idstring (required)
Id of the Git credential to get.spaceIdstring (required)
The ID of the space containing the resource(s).
Response
200 — The requested Git Credential
DescriptionstringDetailsobjectTypeenum
Allowed values:UsernamePassword,Anonymous,Library,GitHub,NotSpecified,SshKey.
Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NamestringRepositoryRestrictionsobjectAllowedRepositoriesarray of stringEnabledboolean
SpaceIdstring
Example Response
{
"Description": "string",
"Details": {
"Type": "UsernamePassword"
},
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string",
"RepositoryRestrictions": {
"AllowedRepositories": [
"string"
],
"Enabled": true
},
"SpaceId": "Spaces-1"
}Modify an existing Git credential
PUT /api
Also reachable at /api.
Path Parameters
idstring (required)spaceIdstring (required)
The ID of the space containing the resource(s).
Request Body
DescriptionstringDetailsobject (required)Passwordsensitive value (required)Usernamestring (required)
Minimum length 1.
Idstring (required)Namestring (required)
Minimum length 1.RepositoryRestrictionsobjectAllowedRepositoriesarray of stringEnabledboolean
SpaceIdstring (required)
The ID of the space containing the resource(s).
Response
200 — Confirmation that the Git Credential was modified
Example Request
{
"Description": "string",
"Details": {
"Password": {
"HasValue": true,
"Hint": "string",
"NewValue": "string"
},
"Username": "string"
},
"Id": "string",
"Name": "string",
"RepositoryRestrictions": {
"AllowedRepositories": [
"string"
],
"Enabled": true
},
"SpaceId": "Spaces-1"
}Example Response
{}Delete an existing Git credential
DELETE /api
Also reachable at /api.
Path Parameters
idstring (required)
Id of the Git credential to delete.spaceIdstring (required)
The ID of the space containing the resource(s).
Response
200 — Confirmation that the Git Credential has been deleted
Example Response
{}Get usage of a specific Git credential
GET /api
Also reachable at /api.
Path Parameters
idstring (required)
Id of the Git credential to get usage for.spaceIdstring (required)
The ID of the space containing the resource(s).
Response
200 — The requested Git Credential Usage
OtherProjectsintegerProjectsarray of objectNamestring
Minimum length 1.ProjectIdstringRepositoryUrlstringSlugstring
Minimum length 1.
Example Response
{
"OtherProjects": 0,
"Projects": [
{
"Name": "string",
"ProjectId": "Projects-1",
"RepositoryUrl": "string",
"Slug": "string"
}
]
}Get usage of a specific Git credential
GET /api
Also reachable at /api.
Path Parameters
idstring (required)
Id of the Git credential to get usage for.spaceIdstring (required)
The ID of the space containing the resource(s).
Response
200 — The requested Git Credential Usage
OtherProjectsintegerProjectsarray of objectNamestring
Minimum length 1.ProjectIdstringRepositoryUrlstringSlugstring
Minimum length 1.
Example Response
{
"OtherProjects": 0,
"Projects": [
{
"Name": "string",
"ProjectId": "Projects-1",
"RepositoryUrl": "string",
"Slug": "string"
}
]
}Get a specific Git credential
GET /api
Also reachable at /api.
Path Parameters
idstring (required)
Id of the Git credential to get.spaceIdstring (required)
The ID of the space containing the resource(s).
Response
200 — The requested Git Credential
GitCredentialobjectDescriptionstringDetailsobjectIdstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NamestringRepositoryRestrictionsobjectSpaceIdstring
Example Response
{
"GitCredential": {
"Description": "string",
"Details": {
"Type": "UsernamePassword"
},
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string",
"RepositoryRestrictions": {
"AllowedRepositories": [
"string"
],
"Enabled": true
},
"SpaceId": "Spaces-1"
}
}Modify an existing Git credential
PUT /api
Also reachable at /api.
Path Parameters
idstring (required)spaceIdstring (required)
The ID of the space containing the resource(s).
Request Body
DescriptionstringDetailsobject (required)Passwordsensitive value (required)Usernamestring (required)
Minimum length 1.
Idstring (required)Namestring (required)
Minimum length 1.RepositoryRestrictionsobjectAllowedRepositoriesarray of stringEnabledboolean
SpaceIdstring (required)
The ID of the space containing the resource(s).
Response
200 — Confirmation that the Git Credential was modified
Example Request
{
"Description": "string",
"Details": {
"Password": {
"HasValue": true,
"Hint": "string",
"NewValue": "string"
},
"Username": "string"
},
"Id": "string",
"Name": "string",
"RepositoryRestrictions": {
"AllowedRepositories": [
"string"
],
"Enabled": true
},
"SpaceId": "Spaces-1"
}Example Response
{}Delete an existing Git credential
DELETE /api
Also reachable at /api.
Path Parameters
idstring (required)
Id of the Git credential to delete.spaceIdstring (required)
The ID of the space containing the resource(s).
Response
200 — Confirmation that the Git Credential has been deleted
Example Response
{}Get a specific Git credential
GET /api
Also reachable at /api.
Path Parameters
idstring (required)
Id of the Git credential to get.spaceIdstring (required)
The ID of the space containing the resource(s).
Response
200 — The requested Git Credential
GitCredentialobjectDescriptionstringDetailsobjectIdstringLastModifiedBystringLastModifiedOnstring
Formatdate-time.Namestring
Minimum length 1.RepositoryRestrictionsobjectSpaceIdstring
Example Response
{
"GitCredential": {
"Description": "string",
"Details": {
"Type": "UsernamePassword"
},
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Name": "string",
"RepositoryRestrictions": {
"AllowedRepositories": [
"string"
],
"Enabled": true
},
"SpaceId": "Spaces-1"
}
}Modify an existing Git credential
PUT /api
Also reachable at /api.
Path Parameters
idstring (required)spaceIdstring (required)
The ID of the space containing the resource(s).
Request Body
DescriptionstringDetailsobject (required)Typestring (required)
Minimum length 1.
Idstring (required)Namestring (required)
Minimum length 1.RepositoryRestrictionsobjectAllowedRepositoriesarray of stringEnabledboolean
SpaceIdstring (required)
The ID of the space containing the resource(s).
Response
200 — Confirmation that the Git Credential was modified
Example Request
{
"Description": "string",
"Details": {
"Type": "string"
},
"Id": "string",
"Name": "string",
"RepositoryRestrictions": {
"AllowedRepositories": [
"string"
],
"Enabled": true
},
"SpaceId": "Spaces-1"
}Example Response
{}Get the git references that match the given rule pattern for a project
GET /api
Also reachable at /api.
Path Parameters
projectIdstring (required)spaceIdstring (required)
Query Parameters
patternsarray of string (required)skipinteger (required)
Number of items to skip. Defaults to zero. Minimum0.takeinteger (required)
Number of items to skip. Defaults to zero. Minimum0.
Response
200 — Response contain a set of Git references that match the rule pattern for the project
Referencesarray of objectCanonicalNamestring
Minimum length 1.Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.Namestring
Minimum length 1.
TotalCountinteger
Example Response
{
"References": [
{
"CanonicalName": "string",
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string"
}
],
"TotalCount": 0
}Get a list of Spaces
GET /api
Lists all of the Spaces in the supplied Octopus Deploy Space. The results will be sorted alphabetically by name.
Query Parameters
idsarray of string
Comma separated list of Ids.namestring
The exact name of a Space to be matched.partialNamestring
A partial or complete name to search on. This will perform a “contains” style match against the supplied name or name-fragment.skipinteger
Number of items to skip. Defaults to zero. Minimum0.takeinteger
Number of items to take. Defaults to 30. Minimum0.
Response
200 — The requested list of Spaces
Idstring
Gets or sets a unique identifier for this resource.ItemTypestringItemsarray of objectDescriptionstringExtensionSettingsarray of objectIconobjectIdstring
Gets or sets a unique identifier for this resource.IsDefaultbooleanIsPrivatebooleanLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NamestringSlugstringSpaceManagersTeamMembersarray of stringSpaceManagersTeamsarray of stringTaskQueueStoppedboolean
ItemsPerPageintegerLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.LastPageNumberintegerLinksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NumberOfPagesintegerTotalResultsinteger
Example Response
{
"Id": "string",
"ItemType": "string",
"Items": [
{
"Description": "string",
"ExtensionSettings": [
{}
],
"Icon": {
"Color": "string",
"Id": "string"
},
"Id": "string",
"IsDefault": true,
"IsPrivate": true,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string",
"Slug": "string",
"SpaceManagersTeamMembers": [
"Users-1",
"..."
],
"SpaceManagersTeams": [
"string"
],
"TaskQueueStopped": true
}
],
"ItemsPerPage": 0,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"LastPageNumber": 0,
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"NumberOfPages": 0,
"TotalResults": 0
}Create a new Space
POST /api
Request Body
DescriptionstringIsDefaultbooleanNamestring (required)
Minimum length 1. Maximum length 50.Slugstring
Maximum length 50.SpaceManagersTeamMembersarray of string (required)SpaceManagersTeamsarray of string (required)TaskQueueStoppedboolean
Response
201 — Created
DescriptionstringExtensionSettingsarray of objectExtensionIdstringValuesstring
IconobjectColorstring
Icon background colour, as a Hex string.Idstring
Font Awesome Icon Id.
Idstring
Gets or sets a unique identifier for this resource.IsDefaultbooleanIsPrivatebooleanLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NamestringSlugstringSpaceManagersTeamMembersarray of stringSpaceManagersTeamsarray of stringTaskQueueStoppedboolean
Example Request
{
"Description": "string",
"IsDefault": true,
"Name": "string",
"Slug": "string",
"SpaceManagersTeamMembers": [
"Users-1",
"..."
],
"SpaceManagersTeams": [
"string"
],
"TaskQueueStopped": true
}Example Response
{
"Description": "string",
"ExtensionSettings": [
{
"ExtensionId": "string",
"Values": "string"
}
],
"Icon": {
"Color": "string",
"Id": "string"
},
"Id": "string",
"IsDefault": true,
"IsPrivate": true,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string",
"Slug": "string",
"SpaceManagersTeamMembers": [
"Users-1",
"..."
],
"SpaceManagersTeams": [
"string"
],
"TaskQueueStopped": true
}Get a list of Spaces
GET /api
Lists all Spaces. The results will be sorted alphabetically by name.
Query Parameters
partialNamestring
A partial or complete name to search on. This will perform acontainsstyle match against the supplied name or name-fragment.
Response
200 — The requested list of Spaces
DescriptionstringExtensionSettingsarray of objectExtensionIdstringValuesstring
IconobjectColorstring
Icon background colour, as a Hex string.Idstring
Font Awesome Icon Id.
Idstring
Gets or sets a unique identifier for this resource.IsDefaultbooleanIsPrivatebooleanLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NamestringSlugstringSpaceManagersTeamMembersarray of stringSpaceManagersTeamsarray of stringTaskQueueStoppedboolean
Example Response
[
{
"Description": "string",
"ExtensionSettings": [
{
"ExtensionId": "string",
"Values": "string"
}
],
"Icon": {
"Color": "string",
"Id": "string"
},
"Id": "string",
"IsDefault": true,
"IsPrivate": true,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string",
"Slug": "string",
"SpaceManagersTeamMembers": [
"Users-1",
"..."
],
"SpaceManagersTeams": [
"string"
],
"TaskQueueStopped": true
}
]Create a new Space
POST /api
Request Body
DescriptionstringIsDefaultbooleanNamestring (required)
Minimum length 1. Maximum length 50.Slugstring
Maximum length 50.SpaceManagersTeamMembersarray of string (required)SpaceManagersTeamsarray of string (required)TaskQueueStoppedboolean
Response
201 — Created
SpaceobjectDescriptionstringExtensionSettingsarray of objectIconobjectIdstring
Gets or sets a unique identifier for this resource.IsDefaultbooleanIsPrivatebooleanLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NamestringSlugstringSpaceManagersTeamMembersarray of stringSpaceManagersTeamsarray of stringTaskQueueStoppedboolean
Example Request
{
"Description": "string",
"IsDefault": true,
"Name": "string",
"Slug": "string",
"SpaceManagersTeamMembers": [
"Users-1",
"..."
],
"SpaceManagersTeams": [
"string"
],
"TaskQueueStopped": true
}Example Response
{
"Space": {
"Description": "string",
"ExtensionSettings": [
{
"ExtensionId": "string",
"Values": "string"
}
],
"Icon": {
"Color": "string",
"Id": "string"
},
"Id": "string",
"IsDefault": true,
"IsPrivate": true,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string",
"Slug": "string",
"SpaceManagersTeamMembers": [
"Users-1",
"..."
],
"SpaceManagersTeams": [
"string"
],
"TaskQueueStopped": true
}
}Get a Space by ID
GET /api
Path Parameters
idstring (required)
ID of the Space to load.
Response
200 — Returns a space
DescriptionstringExtensionSettingsarray of objectExtensionIdstringValuesstring
IconobjectColorstring
Icon background colour, as a Hex string.Idstring
Font Awesome Icon Id.
Idstring
Gets or sets a unique identifier for this resource.IsDefaultbooleanIsPrivatebooleanLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NamestringSlugstringSpaceManagersTeamMembersarray of stringSpaceManagersTeamsarray of stringTaskQueueStoppedboolean
Example Response
{
"Description": "string",
"ExtensionSettings": [
{
"ExtensionId": "string",
"Values": "string"
}
],
"Icon": {
"Color": "string",
"Id": "string"
},
"Id": "string",
"IsDefault": true,
"IsPrivate": true,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string",
"Slug": "string",
"SpaceManagersTeamMembers": [
"Users-1",
"..."
],
"SpaceManagersTeams": [
"string"
],
"TaskQueueStopped": true
}Update a Space
PUT /api
Path Parameters
idstring (required)
Request Body
DescriptionstringIdstring (required)IsDefaultboolean (required)Namestring (required)
Minimum length 1. Maximum length 50.Slugstring
Maximum length 50.SpaceManagersTeamMembersarray of string (required)SpaceManagersTeamsarray of string (required)TaskQueueStoppedboolean (required)
Response
200 — Confirmation that the Space was modified, contains the updated Space
DescriptionstringExtensionSettingsarray of objectExtensionIdstringValuesstring
IconobjectColorstring
Icon background colour, as a Hex string.Idstring
Font Awesome Icon Id.
Idstring
Gets or sets a unique identifier for this resource.IsDefaultbooleanIsPrivatebooleanLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NamestringSlugstringSpaceManagersTeamMembersarray of stringSpaceManagersTeamsarray of stringTaskQueueStoppedboolean
Example Request
{
"Description": "string",
"Id": "Spaces-1",
"IsDefault": true,
"Name": "string",
"Slug": "string",
"SpaceManagersTeamMembers": [
"Users-1",
"..."
],
"SpaceManagersTeams": [
"string"
],
"TaskQueueStopped": true
}Example Response
{
"Description": "string",
"ExtensionSettings": [
{
"ExtensionId": "string",
"Values": "string"
}
],
"Icon": {
"Color": "string",
"Id": "string"
},
"Id": "string",
"IsDefault": true,
"IsPrivate": true,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string",
"Slug": "string",
"SpaceManagersTeamMembers": [
"Users-1",
"..."
],
"SpaceManagersTeams": [
"string"
],
"TaskQueueStopped": true
}Delete an existing Space
DELETE /api
Path Parameters
idstring (required)
Id of the Space to be deleted.
Response
200 — Success
Get the logo for the space with the given space ID
GET /api
Gets the logo associated with the space.
Path Parameters
idstring (required)
The ID of the space.
Response
200 — Success
Example Response
"string"Modify the logo of the space with the given space ID
POST /api
Modifies the logo associated with the space.
Path Parameters
idstring (required)
The ID of the space.
Response
200 — Success
Modify the logo of the space with the given space ID
PUT /api
Modifies the logo associated with the space.
Path Parameters
idstring (required)
The ID of the space.
Response
200 — Success
Search in the supplied Octopus Deploy Space using the given keyword
GET /api
Also reachable at /api, /api.
Path Parameters
idstring (required)
ID of the Space to search.spaceIdstring (required)
Query Parameters
keywordstring (required)
A keyword to search. Example: ABC.
Response
200 — The requested Space Search Results
Idstring
Minimum length 1.Namestring
Minimum length 1.OwnerobjectNamestring
Minimum length 1.Typestring
Minimum length 1.
Typestring
Minimum length 1.
Example Response
[
{
"Id": "string",
"Name": "string",
"Owner": {
"Name": "string",
"Type": "string"
},
"Type": "string"
}
]Delete an existing Space
DELETE /api
Path Parameters
idstring (required)
Id of the Space to be deleted.
Response
200 — Empty response indicating the Space was deleted
Example Response
{}Get a list of spaces available to the current authenticated user only
GET /api
Path Parameters
idstring (required)
ID of the user whose spaces we are looking up.
Response
200 — The requested list of Spaces available to the user
DescriptionstringExtensionSettingsarray of objectExtensionIdstringValuesstring
IconobjectColorstring
Icon background colour, as a Hex string.Idstring
Font Awesome Icon Id.
Idstring
Gets or sets a unique identifier for this resource.IsDefaultbooleanIsPrivatebooleanLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NamestringSlugstringSpaceManagersTeamMembersarray of stringSpaceManagersTeamsarray of stringTaskQueueStoppedboolean
Example Response
[
{
"Description": "string",
"ExtensionSettings": [
{
"ExtensionId": "string",
"Values": "string"
}
],
"Icon": {
"Color": "string",
"Id": "string"
},
"Id": "string",
"IsDefault": true,
"IsPrivate": true,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string",
"Slug": "string",
"SpaceManagersTeamMembers": [
"Users-1",
"..."
],
"SpaceManagersTeams": [
"string"
],
"TaskQueueStopped": true
}
]